MCP Tools Reference: datastream

Tool: list_static_ips

Lists static IP addresses of the provided resource name that need to be allowlisted by the customer when using the static-IP connectivity method. Returns up to 100 IP addresses.

  • The resource name parameter is in the form projects/{project name}/locations/{location}, for example: projects/my-project/locations/us-central1.

The following sample demonstrate how to use curl to invoke the list_static_ips MCP tool.

Curl Request
                  
curl --location 'https://datastream.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "list_static_ips",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

Input Schema

Request message for 'ListStaticIps' request.

ListStaticIpsRequest

JSON representation
{
  "name": string
}
Fields
name

string

Required. The resource name for the location for which static IPs should be returned. Must be in the format projects/*/locations/*. For example: 'projects/my-project/locations/us-central1'

Output Schema

Response message for a 'FetchStaticIps' response.

FetchStaticIpsResponse

JSON representation
{
  "staticIps": [
    string
  ],
  "nextPageToken": string
}
Fields
staticIps[]

string

list of static ips by account

nextPageToken

string

A token that can be sent as page_token to retrieve the next page. If this field is omitted, there are no subsequent pages.

Tool Annotations

Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌